HUGO-GEN-MAN(1)

NAME

hugo-gen-man - Generate man pages for the Hugo CLI

SYNOPSIS

hugo gen man [flags] [args]

DESCRIPTION

This command automatically generates up-to-date man pages of Hugo's
    command-line interface. By default, it creates the man page files
    in the "man" directory under the current directory.

OPTIONS

--dir="man/"
    the directory to write the man pages.

-h, --help[=false]
    help for man

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

--renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo-gen(1)